org.sonatype.plexus.components.cipher

## Class PlexusCipherException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.sonatype.plexus.components.cipher.PlexusCipherException

All Implemented Interfaces:
  Serializable

    public class PlexusCipherException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlexusCipherException()`
`PlexusCipherException(String message)`
`PlexusCipherException(String message, Throwable cause)`
`PlexusCipherException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlexusCipherException

    public PlexusCipherException()

#### PlexusCipherException

    public PlexusCipherException(String message)

#### PlexusCipherException

    public PlexusCipherException(Throwable cause)

#### PlexusCipherException

    public PlexusCipherException(String message,
                                 Throwable cause)